## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit ca0ea3b56decaf6ee668e4ab32278499389ca35f
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20240211

Name:           syndication-domination
Version:        1.0%{?gitdate:^%{gitdate}.git%{shortcommit}}
Release:        %autorelease
Summary:        A simple RSS/Atom parser library

License:        AGPL-3.0-or-later
URL:            https://gitlab.com/gabmus/syndication-domination
%if 0%{?gitdate}
Source:         %{url}/-/archive/%{commit}/syndication-domination-%{commit}.tar.bz2
%else
Source:         %{url}/-/archive/%{version}/syndication-domination-%{version}.tar.bz2
%endif
# https://gitlab.com/gabmus/syndication-domination/-/merge_requests/2
Patch:          0001-Install-into-python.platlibdir.patch

BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  pkgconfig(fmt)
BuildRequires:  pkgconfig(pugixml)
BuildRequires:  pkgconfig(pybind11)
BuildRequires:  pkgconfig(tidy)
BuildRequires:  python3-devel
BuildRequires:  python3-pybind11

%global _description %{expand:
A simple RSS/Atom parser library written in C++, with Python bindings.}

%description %_description


%package -n python3-syndom
Summary:        %{summary}

%description -n python3-syndom %_description


%prep
%autosetup -p1 %{?gitdate:-n %{name}-%{commit}}


%build
%meson
%meson_build


%install
%meson_install


%check
%meson_test


%files -n python3-syndom
%license LICENSE
%doc README.md
%{python3_sitearch}/syndom%{python3_ext_suffix}


%changelog
## START: Generated by rpmautospec
* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 1.0^20240211.gitca0ea3b-6
- Rebuilt for Python 3.14

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0^20240211.gitca0ea3b-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0^20240211.gitca0ea3b-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.0^20240211.gitca0ea3b-3
- Rebuilt for Python 3.13

* Wed Feb 28 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 1.0^20240211.gitca0ea3b-2
- Install into %%python3_sitearch

* Wed Feb 28 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 1.0^20240211.gitca0ea3b-1
- Update to 20240211 git snapshot

* Sun Feb 11 2024 Kalev Lember <klember@redhat.com> - 1.0-2
- Correct license tag to AGPL-3.0-or-later

* Mon Feb 05 2024 Kalev Lember <klember@redhat.com> - 1.0-1
- Rename source package to syndication-domination (rhbz#2149430)
## END: Generated by rpmautospec
